aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2011-06-24 17:51:17 +0200
committerZac Medico <zmedico@gentoo.org>2011-06-24 13:34:19 -0700
commitdd2d661078771a41d4fd554c2bc3b1188ce7b53e (patch)
tree98f5b4cce99ab5f3406e8bfb5aadbc63051ef93e /bin
parentrepoman: fix broken set constructor usage (diff)
downloadportage-dd2d661078771a41d4fd554c2bc3b1188ce7b53e.tar.gz
portage-dd2d661078771a41d4fd554c2bc3b1188ce7b53e.tar.bz2
portage-dd2d661078771a41d4fd554c2bc3b1188ce7b53e.zip
Add a QA check for systemd unit file install.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/misc-functions.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/bin/misc-functions.sh b/bin/misc-functions.sh
index b28b73fff..09decf327 100755
--- a/bin/misc-functions.sh
+++ b/bin/misc-functions.sh
@@ -714,6 +714,16 @@ install_qa_check() {
done
[[ ${abort} == yes ]] && die "multilib-strict check failed!"
fi
+
+ # ensure packages don't install systemd units automagically
+ if ! hasq systemd ${INHERITED} && \
+ [[ -d "${D}"/lib/systemd/system ]]
+ then
+ eqawarn "QA Notice: package installs systemd unit files (/lib/systemd/system)"
+ eqawarn " but does not inherit systemd.eclass."
+ hasq stricter ${FEATURES} \
+ && die "install aborted due to missing inherit of systemd.eclass"
+ fi
}